package com.lanyuanxiaoyao.service.configuration.entity.yarn;

/**
 * Yarn 队列简单实体类
 *
 * @author lanyuanxiaoyao
 * @date 2023-04-22
 */
public final class YarnRootQueue {
    private String queueName;
    private String type;
    private Float capacity;
    private Float usedCapacity;
    private Float maxCapacity;

    public String getQueueName() {
        return queueName;
    }

    public String getType() {
        return type;
    }

    public Float getCapacity() {
        return capacity;
    }

    public Float getUsedCapacity() {
        return usedCapacity;
    }

    public Float getMaxCapacity() {
        return maxCapacity;
    }

    @Override
    public String toString() {
        return "YarnRootQueue{" +
                "queueName='" + queueName + '\'' +
                ", type='" + type + '\'' +
                ", capacity=" + capacity +
                ", usedCapacity=" + usedCapacity +
                ", maxCapacity=" + maxCapacity +
                '}';
    }
}
